VMTKBIFURCATIONVECTORS(1)

NAME
vmtkbifurcationvectors - vmtk script vmtkbifurcationvectors

DESCRIPTION
Automatic piping vmtkbifurcationvectors Parsing options vmtkbifurcationvectors

vmtkbifurcationvectors : calculate in plane and out of place

    binfurcation vectors for a centerline

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Centerlines (vtkPolyData,1): the input split centerlines

-ifile CenterlinesInputFileName (str,1): filename for the default

    Centerlines reader

-referencesystems ReferenceSystems (vtkPolyData,1): reference

    systems relative to the split centerlines

-referencesystemsfile ReferenceSystemsInputFileName (str,1):

    filename for the default ReferenceSystems reader

-radiusarray RadiusArrayName (str,1);

    default=MaximumInscribedSphereRadius: name of the array where centerline radius values are stored

-groupidsarray GroupIdsArrayName (str,1); default=GroupIds: name of

    the array where centerline group ids are stored

-centerlineidsarray CenterlineIdsArrayName (str,1);

    default=CenterlineIds: name of the array where centerline ids are stored

-tractidsarray TractIdsArrayName (str,1); default=TractIds: name of

    the array where centerline tract ids are stored

-blankingarray BlankingArrayName (str,1); default=Blanking: name of

    the array where blanking information about branches is stored

-normalarray ReferenceSystemsNormalArrayName (str,1);

    default=Normal: name of the array where reference system normal vectors are stored

-upnormalarray ReferenceSystemsUpNormalArrayName (str,1);

    default=UpNormal: name of the array where reference system upnormal vectors are stored

-vectorsarray BifurcationVectorsArrayName (str,1);

    default=BifurcationVectors

-inplanevectorsarray InPlaneBifurcationVectorsArrayName (str,1);

    default=InPlaneBifurcationVectors

-outofplanevectorsarray OutOfPlaneBifurcationVectorsArrayName

    (str,1); default=OutOfPlaneBifurcationVectors

-inplaneanglesarray InPlaneBifurcationVectorAnglesArrayName

    (str,1); default=InPlaneBifurcationVectorAngles

-outofplaneanglesarray OutOfPlaneBifurcationVectorAnglesArrayName

    (str,1); default=OutOfPlaneBifurcationVectorAngles

-orientationarray BifurcationVectorsOrientationArrayName (str,1);

    default=BifurcationVectorsOrientation

-bifurcationgroupidsarray BifurcationGroupIdsArrayName (str,1);

    default=BifurcationGroupIds

-normalizevectors NormalizeBifurcationVectors (bool,1); default=0

-ofile BifurcationVectorsOutputFileName (str,1): filename for the

    default BifurcationVectors writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o BifurcationVectors (vtkPolyData,1): the output data

-vectorsarray BifurcationVectorsArrayName (str,1);

    default=BifurcationVectors

-inplanevectorsarray InPlaneBifurcationVectorsArrayName (str,1);

    default=InPlaneBifurcationVectors

-outofplanevectorsarray OutOfPlaneBifurcationVectorsArrayName

    (str,1); default=OutOfPlaneBifurcationVectors

-inplaneanglesarray InPlaneBifurcationVectorAnglesArrayName

    (str,1); default=InPlaneBifurcationVectorAngles

-outofplaneanglesarray OutOfPlaneBifurcationVectorAnglesArrayName

    (str,1); default=OutOfPlaneBifurcationVectorAngles

-orientationarray BifurcationVectorsOrientationArrayName (str,1);

    default=BifurcationVectorsOrientation

-bifurcationgroupidsarray BifurcationGroupIdsArrayName (str,1);

    default=BifurcationGroupIds